function GetOciTopLevelCommand_dbmulticloud() {
    return 'dbmulticloud'
}

function GetOciSubcommands_dbmulticloud() {
    $ociSubcommands = @{
        'dbmulticloud' = 'multi-cloud-resource-discovery oracle-db-azure-blob-container oracle-db-azure-blob-mount oracle-db-azure-connector oracle-db-azure-key oracle-db-azure-vault oracle-db-azure-vault-association work-request'
        'dbmulticloud multi-cloud-resource-discovery' = 'change-compartment create delete get list update'
        'dbmulticloud oracle-db-azure-blob-container' = 'change-compartment create delete get list update'
        'dbmulticloud oracle-db-azure-blob-mount' = 'change-compartment create delete get list update'
        'dbmulticloud oracle-db-azure-connector' = 'change-compartment create delete get list patch update'
        'dbmulticloud oracle-db-azure-key' = 'get list'
        'dbmulticloud oracle-db-azure-vault' = 'change-compartment create delete get list refresh update'
        'dbmulticloud oracle-db-azure-vault-association' = 'cascading-delete change-compartment create delete get list update'
        'dbmulticloud work-request' = 'cancel get list work-request-error work-request-log-entry'
        'dbmulticloud work-request work-request-error' = 'list'
        'dbmulticloud work-request work-request-log-entry' = 'list-work-request-logs'
    }
    return $ociSubcommands
}

function GetOciCommandsToLongParams_dbmulticloud() {
    $ociCommandsToLongParams = @{
        'dbmulticloud multi-cloud-resource-discovery change-compartment' = 'compartment-id defined-tags freeform-tags from-json help if-match max-wait-seconds multi-cloud-resource-discovery-id system-tags wait-for-state wait-interval-seconds'
        'dbmulticloud multi-cloud-resource-discovery create' = 'compartment-id defined-tags display-name freeform-tags from-json help if-match max-wait-seconds oracle-db-connector-id resource-type wait-for-state wait-interval-seconds'
        'dbmulticloud multi-cloud-resource-discovery delete' = 'force from-json help if-match max-wait-seconds multi-cloud-resource-discovery-id wait-for-state wait-interval-seconds'
        'dbmulticloud multi-cloud-resource-discovery get' = 'from-json help limit multi-cloud-resource-discovery-id page sort-order'
        'dbmulticloud multi-cloud-resource-discovery list' = 'all compartment-id display-name from-json help lifecycle-state limit multi-cloud-resource-discovery-id oracle-db-azure-connector-id page page-size resource-type sort-by sort-order'
        'dbmulticloud multi-cloud-resource-discovery update' = 'compartment-id defined-tags display-name force freeform-tags from-json help if-match max-wait-seconds multi-cloud-resource-discovery-id oracle-db-connector-id resource-type wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-blob-container change-compartment' = 'compartment-id defined-tags freeform-tags from-json help if-match max-wait-seconds oracle-db-azure-blob-container-id system-tags wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-blob-container create' = 'azure-storage-account-name azure-storage-container-name compartment-id defined-tags display-name freeform-tags from-json help if-match max-wait-seconds private-endpoint-dns-alias private-endpoint-ip-address wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-blob-container delete' = 'force from-json help if-match max-wait-seconds oracle-db-azure-blob-container-id wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-blob-container get' = 'from-json help limit oracle-db-azure-blob-container-id page sort-order'
        'dbmulticloud oracle-db-azure-blob-container list' = 'all azure-storage-account-name azure-storage-container-name compartment-id display-name from-json help lifecycle-state limit oracle-db-azure-blob-container-id page page-size sort-by sort-order'
        'dbmulticloud oracle-db-azure-blob-container update' = 'azure-storage-account-name azure-storage-container-name compartment-id defined-tags display-name force freeform-tags from-json help if-match max-wait-seconds oracle-db-azure-blob-container-id private-endpoint-dns-alias private-endpoint-ip-address wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-blob-mount change-compartment' = 'compartment-id defined-tags freeform-tags from-json help if-match max-wait-seconds oracle-db-azure-blob-mount-id system-tags wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-blob-mount create' = 'compartment-id defined-tags display-name freeform-tags from-json help if-match max-wait-seconds oracle-db-azure-blob-container-id oracle-db-azure-connector-id wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-blob-mount delete' = 'force from-json help if-match max-wait-seconds oracle-db-azure-blob-mount-id wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-blob-mount get' = 'from-json help limit oracle-db-azure-blob-mount-id page sort-order'
        'dbmulticloud oracle-db-azure-blob-mount list' = 'all compartment-id display-name from-json help lifecycle-state limit oracle-db-azure-blob-container-id oracle-db-azure-blob-mount-id oracle-db-azure-connector-id page page-size sort-by sort-order'
        'dbmulticloud oracle-db-azure-blob-mount update' = 'compartment-id defined-tags display-name force freeform-tags from-json help if-match max-wait-seconds oracle-db-azure-blob-container-id oracle-db-azure-blob-mount-id oracle-db-azure-connector-id wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-connector change-compartment' = 'compartment-id defined-tags freeform-tags from-json help if-match max-wait-seconds oracle-db-azure-connector-id system-tags wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-connector create' = 'access-token azure-identity-mechanism azure-resource-group azure-subscription-id azure-tenant-id compartment-id db-cluster-resource-id defined-tags display-name freeform-tags from-json help max-wait-seconds private-endpoint-dns-alias private-endpoint-ip-address wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-connector delete' = 'force from-json help if-match max-wait-seconds oracle-db-azure-connector-id wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-connector get' = 'from-json help limit oracle-db-azure-connector-id page sort-order'
        'dbmulticloud oracle-db-azure-connector list' = 'all compartment-id db-cluster-resource-id display-name from-json help lifecycle-state limit oracle-db-azure-connector-id page page-size sort-by sort-order'
        'dbmulticloud oracle-db-azure-connector patch' = 'defined-tags freeform-tags from-json help if-match max-wait-seconds new-version oracle-db-azure-connector-id system-tags wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-connector update' = 'access-token azure-identity-mechanism azure-resource-group azure-subscription-id azure-tenant-id compartment-id db-cluster-resource-id defined-tags display-name force freeform-tags from-json help if-match max-wait-seconds oracle-db-azure-connector-id private-endpoint-dns-alias private-endpoint-ip-address wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-key get' = 'from-json help limit oracle-db-azure-key-id page sort-order'
        'dbmulticloud oracle-db-azure-key list' = 'all compartment-id display-name from-json help lifecycle-state limit oracle-db-azure-key-id oracle-db-azure-vault-id page page-size sort-by sort-order'
        'dbmulticloud oracle-db-azure-vault change-compartment' = 'compartment-id defined-tags freeform-tags from-json help if-match max-wait-seconds oracle-db-azure-vault-id system-tags wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-vault create' = 'azure-vault-id compartment-id defined-tags display-name freeform-tags from-json help if-match location max-wait-seconds oracle-db-azure-resource-group oracle-db-connector-id properties type wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-vault delete' = 'force from-json help if-match max-wait-seconds oracle-db-azure-vault-id wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-vault get' = 'from-json help limit oracle-db-azure-vault-id page sort-order'
        'dbmulticloud oracle-db-azure-vault list' = 'all compartment-id display-name from-json help lifecycle-state limit oracle-db-azure-connector-id oracle-db-azure-resource-group oracle-db-azure-vault-id page page-size sort-by sort-order'
        'dbmulticloud oracle-db-azure-vault refresh' = 'from-json help if-match max-wait-seconds oracle-db-azure-vault-id wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-vault update' = 'azure-vault-id compartment-id defined-tags display-name force freeform-tags from-json help if-match location max-wait-seconds oracle-db-azure-resource-group oracle-db-azure-vault-id oracle-db-connector-id properties type wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-vault-association cascading-delete' = 'from-json help if-match max-wait-seconds oracle-db-azure-vault-association-id wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-vault-association change-compartment' = 'compartment-id defined-tags freeform-tags from-json help if-match max-wait-seconds oracle-db-azure-vault-association-id system-tags wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-vault-association create' = 'compartment-id defined-tags display-name freeform-tags from-json help if-match max-wait-seconds oracle-db-azure-connector-id oracle-db-azure-vault-id wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-vault-association delete' = 'force from-json help if-match max-wait-seconds oracle-db-azure-vault-association-id wait-for-state wait-interval-seconds'
        'dbmulticloud oracle-db-azure-vault-association get' = 'from-json help limit oracle-db-azure-vault-association-id page sort-order'
        'dbmulticloud oracle-db-azure-vault-association list' = 'all compartment-id display-name from-json help lifecycle-state limit oracle-db-azure-connector-id oracle-db-azure-vault-association-id oracle-db-azure-vault-id page page-size sort-by sort-order'
        'dbmulticloud oracle-db-azure-vault-association update' = 'compartment-id defined-tags display-name force freeform-tags from-json help if-match max-wait-seconds oracle-db-azure-connector-id oracle-db-azure-vault-association-id oracle-db-azure-vault-id wait-for-state wait-interval-seconds'
        'dbmulticloud work-request cancel' = 'force from-json help if-match work-request-id'
        'dbmulticloud work-request get' = 'from-json help work-request-id'
        'dbmulticloud work-request list' = 'all compartment-id from-json help limit page page-size resource-id sort-by sort-order status work-request-id'
        'dbmulticloud work-request work-request-error list' = 'all from-json help limit page page-size sort-by sort-order work-request-id'
        'dbmulticloud work-request work-request-log-entry list-work-request-logs' = 'all from-json help limit page page-size sort-by sort-order work-request-id'
    }
    return $ociCommandsToLongParams
}

function GetOciCommandsToShortParams_dbmulticloud() {
    $ociCommandsToShortParams = @{
        'dbmulticloud multi-cloud-resource-discovery change-compartment' = '? c h'
        'dbmulticloud multi-cloud-resource-discovery create' = '? c h'
        'dbmulticloud multi-cloud-resource-discovery delete' = '? h'
        'dbmulticloud multi-cloud-resource-discovery get' = '? h'
        'dbmulticloud multi-cloud-resource-discovery list' = '? c h'
        'dbmulticloud multi-cloud-resource-discovery update' = '? c h'
        'dbmulticloud oracle-db-azure-blob-container change-compartment' = '? c h'
        'dbmulticloud oracle-db-azure-blob-container create' = '? c h'
        'dbmulticloud oracle-db-azure-blob-container delete' = '? h'
        'dbmulticloud oracle-db-azure-blob-container get' = '? h'
        'dbmulticloud oracle-db-azure-blob-container list' = '? c h'
        'dbmulticloud oracle-db-azure-blob-container update' = '? c h'
        'dbmulticloud oracle-db-azure-blob-mount change-compartment' = '? c h'
        'dbmulticloud oracle-db-azure-blob-mount create' = '? c h'
        'dbmulticloud oracle-db-azure-blob-mount delete' = '? h'
        'dbmulticloud oracle-db-azure-blob-mount get' = '? h'
        'dbmulticloud oracle-db-azure-blob-mount list' = '? c h'
        'dbmulticloud oracle-db-azure-blob-mount update' = '? c h'
        'dbmulticloud oracle-db-azure-connector change-compartment' = '? c h'
        'dbmulticloud oracle-db-azure-connector create' = '? c h'
        'dbmulticloud oracle-db-azure-connector delete' = '? h'
        'dbmulticloud oracle-db-azure-connector get' = '? h'
        'dbmulticloud oracle-db-azure-connector list' = '? c h'
        'dbmulticloud oracle-db-azure-connector patch' = '? h'
        'dbmulticloud oracle-db-azure-connector update' = '? c h'
        'dbmulticloud oracle-db-azure-key get' = '? h'
        'dbmulticloud oracle-db-azure-key list' = '? c h'
        'dbmulticloud oracle-db-azure-vault change-compartment' = '? c h'
        'dbmulticloud oracle-db-azure-vault create' = '? c h'
        'dbmulticloud oracle-db-azure-vault delete' = '? h'
        'dbmulticloud oracle-db-azure-vault get' = '? h'
        'dbmulticloud oracle-db-azure-vault list' = '? c h'
        'dbmulticloud oracle-db-azure-vault refresh' = '? h'
        'dbmulticloud oracle-db-azure-vault update' = '? c h'
        'dbmulticloud oracle-db-azure-vault-association cascading-delete' = '? h'
        'dbmulticloud oracle-db-azure-vault-association change-compartment' = '? c h'
        'dbmulticloud oracle-db-azure-vault-association create' = '? c h'
        'dbmulticloud oracle-db-azure-vault-association delete' = '? h'
        'dbmulticloud oracle-db-azure-vault-association get' = '? h'
        'dbmulticloud oracle-db-azure-vault-association list' = '? c h'
        'dbmulticloud oracle-db-azure-vault-association update' = '? c h'
        'dbmulticloud work-request cancel' = '? h'
        'dbmulticloud work-request get' = '? h'
        'dbmulticloud work-request list' = '? c h'
        'dbmulticloud work-request work-request-error list' = '? h'
        'dbmulticloud work-request work-request-log-entry list-work-request-logs' = '? h'
    }
    return $ociCommandsToShortParams
}